Index: pjproject/trunk/build.symbian/pjmedia.mmp
===================================================================
--- pjproject/trunk/build.symbian/pjmedia.mmp	(revision 1416)
+++ pjproject/trunk/build.symbian/pjmedia.mmp	(revision 1417)
@@ -1,6 +1,22 @@
+#if defined(EKA2)
+
+TARGET		pjmedia.dll
+TARGETTYPE	dll
+UID		0x1000008d 0xA0004295
+CAPABILITY	None
+LIBRARY		null_audio.lib pjsdp.lib pjnath.lib pjlib_util.lib pjlib.lib esock.lib insock.lib charconv.lib euser.lib estlib.lib
+MACRO		PJ_DLL
+MACRO		PJ_EXPORTING
+
+DEFFILE		.\pjmedia.def
+
+#else
+
 TARGET 		pjmedia.lib
 TARGETTYPE 	lib
 UID		0x100039CE 0x10004299
 VENDORID	0x70000001
+
+#endif
 
 SOURCEPATH	..\pjmedia\src\pjmedia
@@ -38,8 +54,5 @@
 SOURCE		rtcp.c
 SOURCE		rtp.c
-//SDP files are in pjsdp.mmp
-//SOURCE		sdp.c
-//SOURCE		sdp_cmp.c
-//SOURCE		sdp_neg.c
+//SDP files are in pjsdp.mmp: sdp.c, sdp_cmp.c, sdp_neg.c
 SOURCE		session.c
 SOURCE		silencedet.c
@@ -77,4 +90,3 @@
 //SYSTEMINCLUDE	\epoc32\include\mmf\plugin
 
-CAPABILITY	None
 
Index: pjproject/trunk/build.symbian/pjmediaU.def
===================================================================
--- pjproject/trunk/build.symbian/pjmediaU.def	(revision 1417)
+++ pjproject/trunk/build.symbian/pjmediaU.def	(revision 1417)
@@ -0,0 +1,186 @@
+EXPORTS
+	echo_supp_cancel_echo                    @ 1 NONAME
+	echo_supp_capture                        @ 2 NONAME
+	echo_supp_create                         @ 3 NONAME
+	echo_supp_destroy                        @ 4 NONAME
+	echo_supp_playback                       @ 5 NONAME
+	pjmedia_bidirectional_port_create        @ 6 NONAME
+	pjmedia_calc_avg_signal                  @ 7 NONAME
+	pjmedia_clock_create                     @ 8 NONAME
+	pjmedia_clock_destroy                    @ 9 NONAME
+	pjmedia_clock_start                      @ 10 NONAME
+	pjmedia_clock_stop                       @ 11 NONAME
+	pjmedia_clock_wait                       @ 12 NONAME
+	pjmedia_codec_g711_deinit                @ 13 NONAME
+	pjmedia_codec_g711_init                  @ 14 NONAME
+	pjmedia_codec_info_to_id                 @ 15 NONAME
+	pjmedia_codec_mgr_alloc_codec            @ 16 NONAME
+	pjmedia_codec_mgr_dealloc_codec          @ 17 NONAME
+	pjmedia_codec_mgr_enum_codecs            @ 18 NONAME
+	pjmedia_codec_mgr_find_codecs_by_id      @ 19 NONAME
+	pjmedia_codec_mgr_get_codec_info         @ 20 NONAME
+	pjmedia_codec_mgr_get_default_param      @ 21 NONAME
+	pjmedia_codec_mgr_init                   @ 22 NONAME
+	pjmedia_codec_mgr_register_factory       @ 23 NONAME
+	pjmedia_codec_mgr_set_codec_priority     @ 24 NONAME
+	pjmedia_codec_mgr_unregister_factory     @ 25 NONAME
+	pjmedia_conf_add_passive_port            @ 26 NONAME
+	pjmedia_conf_add_port                    @ 27 NONAME
+	pjmedia_conf_adjust_rx_level             @ 28 NONAME
+	pjmedia_conf_adjust_tx_level             @ 29 NONAME
+	pjmedia_conf_configure_port              @ 30 NONAME
+	pjmedia_conf_connect_port                @ 31 NONAME
+	pjmedia_conf_create                      @ 32 NONAME
+	pjmedia_conf_destroy                     @ 33 NONAME
+	pjmedia_conf_disconnect_port             @ 34 NONAME
+	pjmedia_conf_enum_ports                  @ 35 NONAME
+	pjmedia_conf_get_connect_count           @ 36 NONAME
+	pjmedia_conf_get_master_port             @ 37 NONAME
+	pjmedia_conf_get_port_count              @ 38 NONAME
+	pjmedia_conf_get_port_info               @ 39 NONAME
+	pjmedia_conf_get_ports_info              @ 40 NONAME
+	pjmedia_conf_get_signal_level            @ 41 NONAME
+	pjmedia_conf_remove_port                 @ 42 NONAME
+	pjmedia_conf_set_port0_name              @ 43 NONAME
+	pjmedia_echo_cancel                      @ 44 NONAME
+	pjmedia_echo_capture                     @ 45 NONAME
+	pjmedia_echo_create                      @ 46 NONAME
+	pjmedia_echo_destroy                     @ 47 NONAME
+	pjmedia_echo_playback                    @ 48 NONAME
+	pjmedia_echo_port_create                 @ 49 NONAME
+	pjmedia_endpt_create                     @ 50 NONAME
+	pjmedia_endpt_create_pool                @ 51 NONAME
+	pjmedia_endpt_create_sdp                 @ 52 NONAME
+	pjmedia_endpt_destroy                    @ 53 NONAME
+	pjmedia_endpt_dump                       @ 54 NONAME
+	pjmedia_endpt_get_codec_mgr              @ 55 NONAME
+	pjmedia_endpt_get_ioqueue                @ 56 NONAME
+	pjmedia_ice_create                       @ 57 NONAME
+	pjmedia_ice_destroy                      @ 58 NONAME
+	pjmedia_ice_get_comp                     @ 59 NONAME
+	pjmedia_ice_get_init_status              @ 60 NONAME
+	pjmedia_ice_init_ice                     @ 61 NONAME
+	pjmedia_ice_modify_sdp                   @ 62 NONAME
+	pjmedia_ice_start_ice                    @ 63 NONAME
+	pjmedia_ice_start_init                   @ 64 NONAME
+	pjmedia_ice_stop_ice                     @ 65 NONAME
+	pjmedia_jbuf_create                      @ 66 NONAME
+	pjmedia_jbuf_destroy                     @ 67 NONAME
+	pjmedia_jbuf_get_frame                   @ 68 NONAME
+	pjmedia_jbuf_get_state                   @ 69 NONAME
+	pjmedia_jbuf_put_frame                   @ 70 NONAME
+	pjmedia_jbuf_reset                       @ 71 NONAME
+	pjmedia_jbuf_set_adaptive                @ 72 NONAME
+	pjmedia_jbuf_set_fixed                   @ 73 NONAME
+	pjmedia_master_port_create               @ 74 NONAME
+	pjmedia_master_port_destroy              @ 75 NONAME
+	pjmedia_master_port_get_dport            @ 76 NONAME
+	pjmedia_master_port_get_uport            @ 77 NONAME
+	pjmedia_master_port_set_dport            @ 78 NONAME
+	pjmedia_master_port_set_uport            @ 79 NONAME
+	pjmedia_master_port_start                @ 80 NONAME
+	pjmedia_master_port_stop                 @ 81 NONAME
+	pjmedia_mem_capture_create               @ 82 NONAME
+	pjmedia_mem_capture_get_size             @ 83 NONAME
+	pjmedia_mem_capture_set_eof_cb           @ 84 NONAME
+	pjmedia_mem_player_create                @ 85 NONAME
+	pjmedia_mem_player_set_eof_cb            @ 86 NONAME
+	pjmedia_null_port_create                 @ 87 NONAME
+	pjmedia_plc_create                       @ 88 NONAME
+	pjmedia_plc_generate                     @ 89 NONAME
+	pjmedia_plc_save                         @ 90 NONAME
+	pjmedia_port_destroy                     @ 91 NONAME
+	pjmedia_port_get_frame                   @ 92 NONAME
+	pjmedia_port_info_init                   @ 93 NONAME
+	pjmedia_port_put_frame                   @ 94 NONAME
+	pjmedia_resample_create                  @ 95 NONAME
+	pjmedia_resample_destroy                 @ 96 NONAME
+	pjmedia_resample_get_input_size          @ 97 NONAME
+	pjmedia_resample_port_create             @ 98 NONAME
+	pjmedia_resample_run                     @ 99 NONAME
+	pjmedia_rtcp_build_rtcp                  @ 100 NONAME
+	pjmedia_rtcp_fini                        @ 101 NONAME
+	pjmedia_rtcp_get_ntp_time                @ 102 NONAME
+	pjmedia_rtcp_init                        @ 103 NONAME
+	pjmedia_rtcp_rx_rtcp                     @ 104 NONAME
+	pjmedia_rtcp_rx_rtp                      @ 105 NONAME
+	pjmedia_rtcp_tx_rtp                      @ 106 NONAME
+	pjmedia_rtp_decode_rtp                   @ 107 NONAME
+	pjmedia_rtp_encode_rtp                   @ 108 NONAME
+	pjmedia_rtp_session_init                 @ 109 NONAME
+	pjmedia_rtp_session_update               @ 110 NONAME
+	pjmedia_session_check_dtmf               @ 111 NONAME
+	pjmedia_session_create                   @ 112 NONAME
+	pjmedia_session_destroy                  @ 113 NONAME
+	pjmedia_session_dial_dtmf                @ 114 NONAME
+	pjmedia_session_enum_streams             @ 115 NONAME
+	pjmedia_session_get_dtmf                 @ 116 NONAME
+	pjmedia_session_get_info                 @ 117 NONAME
+	pjmedia_session_get_port                 @ 118 NONAME
+	pjmedia_session_get_stream_stat          @ 119 NONAME
+	pjmedia_session_info_from_sdp            @ 120 NONAME
+	pjmedia_session_pause                    @ 121 NONAME
+	pjmedia_session_pause_stream             @ 122 NONAME
+	pjmedia_session_resume                   @ 123 NONAME
+	pjmedia_session_resume_stream            @ 124 NONAME
+	pjmedia_session_set_dtmf_callback        @ 125 NONAME
+	pjmedia_silence_det_apply                @ 126 NONAME
+	pjmedia_silence_det_create               @ 127 NONAME
+	pjmedia_silence_det_detect               @ 128 NONAME
+	pjmedia_silence_det_disable              @ 129 NONAME
+	pjmedia_silence_det_set_adaptive         @ 130 NONAME
+	pjmedia_silence_det_set_fixed            @ 131 NONAME
+	pjmedia_silence_det_set_name             @ 132 NONAME
+	pjmedia_silence_det_set_params           @ 133 NONAME
+	pjmedia_snd_port_connect                 @ 134 NONAME
+	pjmedia_snd_port_create                  @ 135 NONAME
+	pjmedia_snd_port_create_player           @ 136 NONAME
+	pjmedia_snd_port_create_rec              @ 137 NONAME
+	pjmedia_snd_port_destroy                 @ 138 NONAME
+	pjmedia_snd_port_disconnect              @ 139 NONAME
+	pjmedia_snd_port_get_ec_tail             @ 140 NONAME
+	pjmedia_snd_port_get_port                @ 141 NONAME
+	pjmedia_snd_port_get_snd_stream          @ 142 NONAME
+	pjmedia_snd_port_set_ec                  @ 143 NONAME
+	pjmedia_splitcomb_create                 @ 144 NONAME
+	pjmedia_splitcomb_create_rev_channel     @ 145 NONAME
+	pjmedia_splitcomb_set_channel            @ 146 NONAME
+	pjmedia_stream_check_dtmf                @ 147 NONAME
+	pjmedia_stream_create                    @ 148 NONAME
+	pjmedia_stream_destroy                   @ 149 NONAME
+	pjmedia_stream_dial_dtmf                 @ 150 NONAME
+	pjmedia_stream_get_dtmf                  @ 151 NONAME
+	pjmedia_stream_get_port                  @ 152 NONAME
+	pjmedia_stream_get_stat                  @ 153 NONAME
+	pjmedia_stream_get_transport             @ 154 NONAME
+	pjmedia_stream_info_from_sdp             @ 155 NONAME
+	pjmedia_stream_pause                     @ 156 NONAME
+	pjmedia_stream_resume                    @ 157 NONAME
+	pjmedia_stream_set_dtmf_callback         @ 158 NONAME
+	pjmedia_stream_start                     @ 159 NONAME
+	pjmedia_strerror                         @ 160 NONAME
+	pjmedia_tonegen_create                   @ 161 NONAME
+	pjmedia_tonegen_create2                  @ 162 NONAME
+	pjmedia_tonegen_get_digit_map            @ 163 NONAME
+	pjmedia_tonegen_is_busy                  @ 164 NONAME
+	pjmedia_tonegen_play                     @ 165 NONAME
+	pjmedia_tonegen_play_digits              @ 166 NONAME
+	pjmedia_tonegen_set_digit_map            @ 167 NONAME
+	pjmedia_tonegen_stop                     @ 168 NONAME
+	pjmedia_transport_udp_attach             @ 169 NONAME
+	pjmedia_transport_udp_close              @ 170 NONAME
+	pjmedia_transport_udp_create             @ 171 NONAME
+	pjmedia_transport_udp_create2            @ 172 NONAME
+	pjmedia_transport_udp_get_info           @ 173 NONAME
+	pjmedia_transport_udp_simulate_lost      @ 174 NONAME
+	pjmedia_wav_player_port_create           @ 175 NONAME
+	pjmedia_wav_player_port_get_pos          @ 176 NONAME
+	pjmedia_wav_player_port_set_pos          @ 177 NONAME
+	pjmedia_wav_player_set_eof_cb            @ 178 NONAME
+	pjmedia_wav_playlist_create              @ 179 NONAME
+	pjmedia_wav_playlist_set_eof_cb          @ 180 NONAME
+	pjmedia_wav_writer_port_create           @ 181 NONAME
+	pjmedia_wav_writer_port_get_pos          @ 182 NONAME
+	pjmedia_wav_writer_port_set_cb           @ 183 NONAME
+	pjmedia_wave_hdr_file_to_host            @ 184 NONAME
+	pjmedia_wave_hdr_host_to_file            @ 185 NONAME
Index: pjproject/trunk/build.symbian/pjproject.cww
===================================================================
--- pjproject/trunk/build.symbian/pjproject.cww	(revision 1416)
+++ pjproject/trunk/build.symbian/pjproject.cww	(revision 1417)
@@ -55,5 +55,5 @@
             <DOCKBARID>59420</DOCKBARID>
             <PCTWIDTH>1.000000</PCTWIDTH>
-            <HGT>294</HGT>
+            <HGT>274</HGT>
             <GROUPID>
                 <GIDHIGHPART>4294967294</GIDHIGHPART>
@@ -80,5 +80,5 @@
             <DOCKBARID>59420</DOCKBARID>
             <PCTWIDTH>1.000000</PCTWIDTH>
-            <HGT>294</HGT>
+            <HGT>274</HGT>
             <GROUPID>
                 <GIDHIGHPART>4294967294</GIDHIGHPART>
@@ -105,5 +105,30 @@
             <DOCKBARID>59420</DOCKBARID>
             <PCTWIDTH>1.000000</PCTWIDTH>
-            <HGT>294</HGT>
+            <HGT>274</HGT>
+            <GROUPID>
+                <GIDHIGHPART>4294967294</GIDHIGHPART>
+                <GIDLOWPART>4294967294</GIDLOWPART>
+            </GROUPID>
+        </DOCKINFO>
+    </WINDOW>
+    <WINDOW>
+        <SESSION>-1</SESSION>
+        <EDOCTYPE>0</EDOCTYPE>
+        <PATH USERELATIVEPATHS = "true">null_audio.mcp</PATH>
+        <FRAMELOC>
+            <X>0</X>
+            <Y>0</Y>
+        </FRAMELOC>
+        <FRAMESIZE>
+            <W>347</W>
+            <H>128</H>
+        </FRAMESIZE>
+        <DOCKINFO>
+            <STATUS>1</STATUS>
+            <ROW>0</ROW>
+            <COLUMN>0</COLUMN>
+            <DOCKBARID>59420</DOCKBARID>
+            <PCTWIDTH>1.000000</PCTWIDTH>
+            <HGT>274</HGT>
             <GROUPID>
                 <GIDHIGHPART>4294967294</GIDHIGHPART>
@@ -130,5 +155,30 @@
             <DOCKBARID>59420</DOCKBARID>
             <PCTWIDTH>1.000000</PCTWIDTH>
-            <HGT>294</HGT>
+            <HGT>274</HGT>
+            <GROUPID>
+                <GIDHIGHPART>4294967294</GIDHIGHPART>
+                <GIDLOWPART>4294967294</GIDLOWPART>
+            </GROUPID>
+        </DOCKINFO>
+    </WINDOW>
+    <WINDOW>
+        <SESSION>-1</SESSION>
+        <EDOCTYPE>0</EDOCTYPE>
+        <PATH USERELATIVEPATHS = "true">pjsdp.mcp</PATH>
+        <FRAMELOC>
+            <X>0</X>
+            <Y>0</Y>
+        </FRAMELOC>
+        <FRAMESIZE>
+            <W>347</W>
+            <H>128</H>
+        </FRAMESIZE>
+        <DOCKINFO>
+            <STATUS>1</STATUS>
+            <ROW>0</ROW>
+            <COLUMN>0</COLUMN>
+            <DOCKBARID>59420</DOCKBARID>
+            <PCTWIDTH>1.000000</PCTWIDTH>
+            <HGT>274</HGT>
             <GROUPID>
                 <GIDHIGHPART>4294967294</GIDHIGHPART>
@@ -155,5 +205,30 @@
             <DOCKBARID>59420</DOCKBARID>
             <PCTWIDTH>1.000000</PCTWIDTH>
-            <HGT>294</HGT>
+            <HGT>274</HGT>
+            <GROUPID>
+                <GIDHIGHPART>4294967294</GIDHIGHPART>
+                <GIDLOWPART>4294967294</GIDLOWPART>
+            </GROUPID>
+        </DOCKINFO>
+    </WINDOW>
+    <WINDOW>
+        <SESSION>-1</SESSION>
+        <EDOCTYPE>0</EDOCTYPE>
+        <PATH USERELATIVEPATHS = "true">pjsip_simple.mcp</PATH>
+        <FRAMELOC>
+            <X>0</X>
+            <Y>0</Y>
+        </FRAMELOC>
+        <FRAMESIZE>
+            <W>347</W>
+            <H>128</H>
+        </FRAMESIZE>
+        <DOCKINFO>
+            <STATUS>1</STATUS>
+            <ROW>0</ROW>
+            <COLUMN>0</COLUMN>
+            <DOCKBARID>59420</DOCKBARID>
+            <PCTWIDTH>1.000000</PCTWIDTH>
+            <HGT>274</HGT>
             <GROUPID>
                 <GIDHIGHPART>4294967294</GIDHIGHPART>
@@ -180,30 +255,5 @@
             <DOCKBARID>59420</DOCKBARID>
             <PCTWIDTH>1.000000</PCTWIDTH>
-            <HGT>294</HGT>
-            <GROUPID>
-                <GIDHIGHPART>4294967294</GIDHIGHPART>
-                <GIDLOWPART>4294967294</GIDLOWPART>
-            </GROUPID>
-        </DOCKINFO>
-    </WINDOW>
-    <WINDOW>
-        <SESSION>-1</SESSION>
-        <EDOCTYPE>0</EDOCTYPE>
-        <PATH USERELATIVEPATHS = "true">pjsip_simple.mcp</PATH>
-        <FRAMELOC>
-            <X>0</X>
-            <Y>0</Y>
-        </FRAMELOC>
-        <FRAMESIZE>
-            <W>347</W>
-            <H>128</H>
-        </FRAMESIZE>
-        <DOCKINFO>
-            <STATUS>1</STATUS>
-            <ROW>0</ROW>
-            <COLUMN>0</COLUMN>
-            <DOCKBARID>59420</DOCKBARID>
-            <PCTWIDTH>1.000000</PCTWIDTH>
-            <HGT>294</HGT>
+            <HGT>274</HGT>
             <GROUPID>
                 <GIDHIGHPART>4294967294</GIDHIGHPART>
@@ -230,30 +280,5 @@
             <DOCKBARID>59420</DOCKBARID>
             <PCTWIDTH>1.000000</PCTWIDTH>
-            <HGT>294</HGT>
-            <GROUPID>
-                <GIDHIGHPART>4294967294</GIDHIGHPART>
-                <GIDLOWPART>4294967294</GIDLOWPART>
-            </GROUPID>
-        </DOCKINFO>
-    </WINDOW>
-    <WINDOW>
-        <SESSION>-1</SESSION>
-        <EDOCTYPE>0</EDOCTYPE>
-        <PATH USERELATIVEPATHS = "true">null_audio.mcp</PATH>
-        <FRAMELOC>
-            <X>0</X>
-            <Y>0</Y>
-        </FRAMELOC>
-        <FRAMESIZE>
-            <W>347</W>
-            <H>128</H>
-        </FRAMESIZE>
-        <DOCKINFO>
-            <STATUS>1</STATUS>
-            <ROW>0</ROW>
-            <COLUMN>0</COLUMN>
-            <DOCKBARID>59420</DOCKBARID>
-            <PCTWIDTH>1.000000</PCTWIDTH>
-            <HGT>294</HGT>
+            <HGT>274</HGT>
             <GROUPID>
                 <GIDHIGHPART>4294967294</GIDHIGHPART>
@@ -280,80 +305,8 @@
             <DOCKBARID>59420</DOCKBARID>
             <PCTWIDTH>1.000000</PCTWIDTH>
-            <HGT>294</HGT>
-            <GROUPID>
-                <GIDHIGHPART>4294967294</GIDHIGHPART>
-                <GIDLOWPART>4294967294</GIDLOWPART>
-            </GROUPID>
-        </DOCKINFO>
-    </WINDOW>
-    <WINDOW>
-        <SESSION>-2147483648</SESSION>
-        <EDOCTYPE>36</EDOCTYPE>
-        <FRAMELOC>
-            <X>4</X>
-            <Y>23</Y>
-        </FRAMELOC>
-        <FRAMESIZE>
-            <W>534</W>
-            <H>921</H>
-        </FRAMESIZE>
-        <DOCKINFO>
-            <STATUS>0</STATUS>
-            <ROW></ROW>
-            <COLUMN></COLUMN>
-            <DOCKBARID></DOCKBARID>
-            <PCTWIDTH></PCTWIDTH>
-            <HGT></HGT>
-            <GROUPID>
-                <GIDHIGHPART></GIDHIGHPART>
-                <GIDLOWPART></GIDLOWPART>
-            </GROUPID>
-        </DOCKINFO>
-    </WINDOW>
-    <WINDOW>
-        <SESSION>-2147483648</SESSION>
-        <EDOCTYPE>20</EDOCTYPE>
-        <FRAMELOC>
-            <X>4</X>
-            <Y>23</Y>
-        </FRAMELOC>
-        <FRAMESIZE>
-            <W>1008</W>
-            <H>2142</H>
-        </FRAMESIZE>
-        <DOCKINFO>
-            <STATUS>0</STATUS>
-            <ROW></ROW>
-            <COLUMN></COLUMN>
-            <DOCKBARID></DOCKBARID>
-            <PCTWIDTH></PCTWIDTH>
-            <HGT></HGT>
-            <GROUPID>
-                <GIDHIGHPART></GIDHIGHPART>
-                <GIDLOWPART></GIDLOWPART>
-            </GROUPID>
-        </DOCKINFO>
-    </WINDOW>
-    <WINDOW>
-        <SESSION>-2147483648</SESSION>
-        <EDOCTYPE>23</EDOCTYPE>
-        <FRAMELOC>
-            <X>6</X>
-            <Y>81</Y>
-        </FRAMELOC>
-        <FRAMESIZE>
-            <W>566</W>
-            <H>477</H>
-        </FRAMESIZE>
-        <DOCKINFO>
-            <STATUS>0</STATUS>
-            <ROW></ROW>
-            <COLUMN></COLUMN>
-            <DOCKBARID></DOCKBARID>
-            <PCTWIDTH></PCTWIDTH>
-            <HGT></HGT>
-            <GROUPID>
-                <GIDHIGHPART></GIDHIGHPART>
-                <GIDLOWPART></GIDLOWPART>
+            <HGT>274</HGT>
+            <GROUPID>
+                <GIDHIGHPART>4294967294</GIDHIGHPART>
+                <GIDLOWPART>4294967294</GIDLOWPART>
             </GROUPID>
         </DOCKINFO>
Index: pjproject/trunk/build.symbian/pjsdp.mmp
===================================================================
--- pjproject/trunk/build.symbian/pjsdp.mmp	(revision 1416)
+++ pjproject/trunk/build.symbian/pjsdp.mmp	(revision 1417)
@@ -1,6 +1,21 @@
+#if defined(EKA2)
+TARGET		pjsdp.dll
+TARGETTYPE	dll
+UID		0x1000008d 0xA0004296
+CAPABILITY	None
+LIBRARY		pjlib_util.lib pjlib.lib charconv.lib euser.lib estlib.lib
+MACRO		PJ_DLL
+MACRO		PJ_EXPORTING
+
+DEFFILE		.\pjsdp.def
+
+#else
+
 TARGET 		pjsdp.lib
 TARGETTYPE 	lib
 UID		0x100039CE 0x10004299
 VENDORID	0x70000001
+
+#endif
 
 SOURCEPATH	..\pjmedia\src\pjmedia
Index: pjproject/trunk/build.symbian/pjsdpU.def
===================================================================
--- pjproject/trunk/build.symbian/pjsdpU.def	(revision 1417)
+++ pjproject/trunk/build.symbian/pjsdpU.def	(revision 1417)
@@ -0,0 +1,45 @@
+EXPORTS
+	pjmedia_sdp_attr_add                     @ 1 NONAME
+	pjmedia_sdp_attr_clone                   @ 2 NONAME
+	pjmedia_sdp_attr_create                  @ 3 NONAME
+	pjmedia_sdp_attr_find                    @ 4 NONAME
+	pjmedia_sdp_attr_find2                   @ 5 NONAME
+	pjmedia_sdp_attr_get_fmtp                @ 6 NONAME
+	pjmedia_sdp_attr_get_rtcp                @ 7 NONAME
+	pjmedia_sdp_attr_get_rtpmap              @ 8 NONAME
+	pjmedia_sdp_attr_remove                  @ 9 NONAME
+	pjmedia_sdp_attr_remove_all              @ 10 NONAME
+	pjmedia_sdp_attr_to_rtpmap               @ 11 NONAME
+	pjmedia_sdp_conn_clone                   @ 12 NONAME
+	pjmedia_sdp_media_add_attr               @ 13 NONAME
+	pjmedia_sdp_media_clone                  @ 14 NONAME
+	pjmedia_sdp_media_cmp                    @ 15 NONAME
+	pjmedia_sdp_media_find_attr              @ 16 NONAME
+	pjmedia_sdp_media_find_attr2             @ 17 NONAME
+	pjmedia_sdp_media_remove_all_attr        @ 18 NONAME
+	pjmedia_sdp_media_remove_attr            @ 19 NONAME
+	pjmedia_sdp_neg_cancel_offer             @ 20 NONAME
+	pjmedia_sdp_neg_create_w_local_offer     @ 21 NONAME
+	pjmedia_sdp_neg_create_w_remote_offer    @ 22 NONAME
+	pjmedia_sdp_neg_get_active_local         @ 23 NONAME
+	pjmedia_sdp_neg_get_active_remote        @ 24 NONAME
+	pjmedia_sdp_neg_get_neg_local            @ 25 NONAME
+	pjmedia_sdp_neg_get_neg_remote           @ 26 NONAME
+	pjmedia_sdp_neg_get_state                @ 27 NONAME
+	pjmedia_sdp_neg_has_local_answer         @ 28 NONAME
+	pjmedia_sdp_neg_modify_local_offer       @ 29 NONAME
+	pjmedia_sdp_neg_negotiate                @ 30 NONAME
+	pjmedia_sdp_neg_send_local_offer         @ 31 NONAME
+	pjmedia_sdp_neg_set_local_answer         @ 32 NONAME
+	pjmedia_sdp_neg_set_prefer_remote_codec_order @ 33 NONAME
+	pjmedia_sdp_neg_set_remote_answer        @ 34 NONAME
+	pjmedia_sdp_neg_set_remote_offer         @ 35 NONAME
+	pjmedia_sdp_neg_state_str                @ 36 NONAME
+	pjmedia_sdp_neg_was_answer_remote        @ 37 NONAME
+	pjmedia_sdp_parse                        @ 38 NONAME
+	pjmedia_sdp_print                        @ 39 NONAME
+	pjmedia_sdp_rtpmap_to_attr               @ 40 NONAME
+	pjmedia_sdp_session_clone                @ 41 NONAME
+	pjmedia_sdp_session_cmp                  @ 42 NONAME
+	pjmedia_sdp_validate                     @ 43 NONAME
+	pjmedia_strerror                         @ 44 NONAME
Index: pjproject/trunk/build.symbian/pjsip.mmp
===================================================================
--- pjproject/trunk/build.symbian/pjsip.mmp	(revision 1416)
+++ pjproject/trunk/build.symbian/pjsip.mmp	(revision 1417)
@@ -1,6 +1,24 @@
+#if defined(EKA2)
+
+TARGET		pjsip.dll
+TARGETTYPE	dll
+
+UID		0x1000008d 0xA0004293
+
+CAPABILITY	None
+LIBRARY		pjsdp.lib pjlib_util.lib pjlib.lib esock.lib insock.lib charconv.lib euser.lib estlib.lib
+MACRO		PJ_DLL
+MACRO		PJ_EXPORTING
+
+DEFFILE		.\pjsip.def
+
+#else
+
 TARGET 		pjsip.lib
 TARGETTYPE 	lib
 UID		0x100039CE 0x10004299
 VENDORID	0x70000001
+
+#endif
 
 SOURCEPATH	..\pjsip\src\pjsip
@@ -44,4 +62,3 @@
 SYSTEMINCLUDE	\epoc32\include\libc
 
-CAPABILITY	None
 
